> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API 개요

> ARGOS Omni API 개요 — Base URL, 인증, 공통 패턴.

## Base URL

```
http://client-omni-api.argosidentity.com/v1
```

<Info>
  조직에서 방화벽·프록시로 아웃바운드 트래픽을 제한하는 경우, Omni API 연결을 위해 **`client-omni-api.argosidentity.com`** 호스트에 대한 HTTP(**80**) 접속을 허용 목록에 추가하세요. HTTPS를 사용하는 경우 **443**도 허용하세요.
</Info>

## 인증

모든 요청에 `x-api-key` 헤더가 필요합니다:

```bash theme={null}
-H "x-api-key: your-api-key-here"
```

API 키 발급에 대한 자세한 내용은 [인증](/ko/omni/getting-started/authentication)을 참조하세요.

## API 구조

Omni API는 데이터 계층 구조를 따릅니다:

```
Project → Workflow → Profile → Folder → Item → Analysis
```

| 리소스                                             | 주요 엔드포인트                               |
| ----------------------------------------------- | -------------------------------------- |
| [Project](/ko/omni/api-reference/get-project)   | `GET /v1/projects/:projectId`          |
| [Workflow](/ko/omni/api-reference/get-workflow) | `GET /v1/workflows/:workflowId`        |
| [Profile](/ko/omni/api-reference/post-profile)  | `POST`, `GET`, `PATCH`, `DELETE`       |
| [Folder](/ko/omni/api-reference/post-folder)    | `POST`, `GET`, `PATCH`, `DELETE`       |
| [Item](/ko/omni/api-reference/post-item)        | `POST` (업로드), `GET`, `PATCH`, `DELETE` |

## 공통 응답 형식

모든 성공 응답은 다음 패턴을 따릅니다:

```json theme={null}
{
  "success": true,
  "data": { ... }
}
```

## 에러 응답 형식

```json theme={null}
{
  "error": {
    "code": "ERROR_CODE",
    "status": 400,
    "message": "사람이 읽을 수 있는 에러 설명"
  }
}
```

### 에러 코드

| 상태  | 코드                  | 설명                 |
| --- | ------------------- | ------------------ |
| 401 | `UNAUTHORIZED`      | 유효하지 않거나 누락된 API 키 |
| 404 | `NOT_FOUND`         | 리소스가 존재하지 않음       |
| 409 | `CONFLICT`          | 중복 리소스 또는 제한 초과    |
| 413 | `PAYLOAD_TOO_LARGE` | 파일 크기가 10MB 제한 초과  |
| 415 | `UNSUPPORTED_MEDIA` | 지원하지 않는 파일 형식      |

### 리소스별 에러 코드

| 코드                      | 설명                |
| ----------------------- | ----------------- |
| `ITEM_LIMIT_EXCEEDED`   | 단일 폴더에 5개 이상의 아이템 |
| `FILE_TOO_LARGE`        | 업로드 파일이 10MB 초과   |
| `UNSUPPORTED_FILE_TYPE` | 지원 목록에 없는 파일 형식   |

## 페이지네이션

목록 엔드포인트는 기본 페이지 크기 **50개**로 페이지네이션된 결과를 반환합니다.

```bash theme={null}
GET /v1/workflows/{workflowId}/profiles?page=1&size=50
```
